Subject: RE: [Sip] Re: 489 status code

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Tue, 7 Nov 2006 17:03:05 +0100

Whatever keeps it from assigning digits.

The key point is that nobody is supervising all these selections made by
individual author drafts, and we even find conflicts in working group
items, and therefore if someone is trying something in an
implementation, they are guaranteed to get a conflict if that usage
survives for any length of time.

Regards

Keith 

> -----Original Message-----
> From: Marc Petit-Huguenin [mailto:[email-masked]] 
> Sent: 07 November 2006 05:00
> To: Drage, Keith (Keith)
> Cc: Adam Roach; [email-masked]; [email-masked]
> Subject: Re: [Sip] Re: 489 status code
> 
> Drage, Keith (Keith) wrote:
> > (As SIP WG chair)
> > 
> > See http://www.iana.org/assignments/sip-parameters for a list of 
> > currently assigned response codes (with 489 allocated 
> already as Adam 
> > indicates).
> > 
> > As definition of a new response code requires a SIP WG 
> document, can I 
> > suggest that only such documents make any attempt to assign 
> a response 
> > code value - I know this can be useful because the examples have to 
> > show it. If your document is not one of these, use 4xx or something 
> > else that can be replaced later.
> 
> Using 4xx can be confusing as there will be no way to know if 
> it is an yet unassigned specific response code in the 4xx 
> class or the whole 4xx class.  May I suggest 4?? instead?
> 
> > 
> > I notice also drafts in SIPPING group attempting to assign response 
> > codes.
> > 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip